Gentoo Archives: gentoo-commits

From: Pacho Ramos <pacho@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/networkmanager/
Date: Sun, 03 Apr 2016 12:42:44
Message-Id: 1459687296.8cdc97b18c312525ba27755be031c395b5ead405.pacho@gentoo
1 commit: 8cdc97b18c312525ba27755be031c395b5ead405
2 Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
3 AuthorDate: Sun Apr 3 12:08:14 2016 +0000
4 Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
5 CommitDate: Sun Apr 3 12:41:36 2016 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cdc97b1
7
8 net-misc/networkmanager: Drop old
9
10 Package-Manager: portage-2.2.28
11
12 .../networkmanager/networkmanager-1.0.10.ebuild | 345 ---------------------
13 1 file changed, 345 deletions(-)
14
15 diff --git a/net-misc/networkmanager/networkmanager-1.0.10.ebuild b/net-misc/networkmanager/networkmanager-1.0.10.ebuild
16 deleted file mode 100644
17 index f6ecae9..0000000
18 --- a/net-misc/networkmanager/networkmanager-1.0.10.ebuild
19 +++ /dev/null
20 @@ -1,345 +0,0 @@
21 -# Copyright 1999-2015 Gentoo Foundation
22 -# Distributed under the terms of the GNU General Public License v2
23 -# $Id$
24 -
25 -EAPI="5"
26 -GCONF_DEBUG="no"
27 -GNOME_ORG_MODULE="NetworkManager"
28 -GNOME2_LA_PUNT="yes"
29 -VALA_USE_DEPEND="vapigen"
30 -PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
31 -
32 -inherit autotools bash-completion-r1 eutils gnome2 linux-info multilib python-any-r1 systemd \
33 - user readme.gentoo toolchain-funcs vala versionator virtualx udev multilib-minimal
34 -
35 -DESCRIPTION="A set of co-operative tools that make networking simple and straightforward"
36 -HOMEPAGE="https://wiki.gnome.org/Projects/NetworkManager"
37 -
38 -LICENSE="GPL-2+"
39 -SLOT="0" # add subslot if libnm-util.so.2 or libnm-glib.so.4 bumps soname version
40 -
41 -IUSE="bluetooth connection-sharing consolekit +dhclient dhcpcd gnutls +introspection \
42 -kernel_linux +nss +modemmanager ncurses +ppp resolvconf selinux systemd teamd test \
43 -vala +wext +wifi zeroconf" # wimax
44 -
45 -KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
46 -
47 -REQUIRED_USE="
48 - modemmanager? ( ppp )
49 - wext? ( wifi )
50 - ^^ ( nss gnutls )
51 - ^^ ( dhclient dhcpcd )
52 -"
53 -
54 -# gobject-introspection-0.10.3 is needed due to gnome bug 642300
55 -# wpa_supplicant-0.7.3-r3 is needed due to bug 359271
56 -# TODO: Qt support?
57 -COMMON_DEPEND="
58 - >=sys-apps/dbus-1.2[${MULTILIB_USEDEP}]
59 - >=dev-libs/dbus-glib-0.100[${MULTILIB_USEDEP}]
60 - >=dev-libs/glib-2.37.6:2[${MULTILIB_USEDEP}]
61 - >=dev-libs/libnl-3.2.8:3=
62 - >=sys-auth/polkit-0.106
63 - net-libs/libndp
64 - >=net-libs/libsoup-2.40:2.4=
65 - net-misc/iputils
66 - sys-libs/readline:0
67 - >=virtual/libgudev-165:=[${MULTILIB_USEDEP}]
68 - bluetooth? ( >=net-wireless/bluez-5 )
69 - connection-sharing? (
70 - net-dns/dnsmasq[dhcp]
71 - net-firewall/iptables )
72 - gnutls? (
73 - dev-libs/libgcrypt:0=[${MULTILIB_USEDEP}]
74 - net-libs/gnutls:=[${MULTILIB_USEDEP}] )
75 - modemmanager? ( >=net-misc/modemmanager-0.7.991 )
76 - ncurses? ( >=dev-libs/newt-0.52.15 )
77 - nss? ( >=dev-libs/nss-3.11:=[${MULTILIB_USEDEP}] )
78 - dhclient? ( >=net-misc/dhcp-4[client] )
79 - dhcpcd? ( >=net-misc/dhcpcd-4.0.0_rc3 )
80 - introspection? ( >=dev-libs/gobject-introspection-0.10.3:= )
81 - ppp? ( >=net-dialup/ppp-2.4.5:=[ipv6] net-dialup/rp-pppoe )
82 - resolvconf? ( net-dns/openresolv )
83 - systemd? ( >=sys-apps/systemd-209:0= )
84 - !systemd? ( || ( sys-power/upower sys-power/upower-pm-utils ) )
85 - teamd? ( >=net-misc/libteam-1.9 )
86 - zeroconf? ( net-dns/avahi:=[autoipd] )
87 -"
88 -RDEPEND="${COMMON_DEPEND}
89 - consolekit? ( sys-auth/consolekit )
90 - wifi? ( >=net-wireless/wpa_supplicant-0.7.3-r3[dbus] )
91 -"
92 -DEPEND="${COMMON_DEPEND}
93 - dev-util/gdbus-codegen
94 - dev-util/gtk-doc-am
95 - >=dev-util/intltool-0.40
96 - >=sys-devel/gettext-0.17
97 - >=sys-kernel/linux-headers-2.6.29
98 - virtual/pkgconfig
99 - vala? ( $(vala_depend) )
100 - test? (
101 - $(python_gen_any_dep '
102 - dev-python/dbus-python[${PYTHON_USEDEP}]
103 - dev-python/pygobject:2[${PYTHON_USEDEP}]')
104 - )
105 -"
106 -
107 -sysfs_deprecated_check() {
108 - ebegin "Checking for SYSFS_DEPRECATED support"
109 -
110 - if { linux_chkconfig_present SYSFS_DEPRECATED_V2; }; then
111 - eerror "Please disable SYSFS_DEPRECATED_V2 support in your kernel config and recompile your kernel"
112 - eerror "or NetworkManager will not work correctly."
113 - eerror "See https://bugs.gentoo.org/333639 for more info."
114 - die "CONFIG_SYSFS_DEPRECATED_V2 support detected!"
115 - fi
116 - eend $?
117 -}
118 -
119 -pkg_pretend() {
120 - if use kernel_linux; then
121 - get_version
122 - if linux_config_exists; then
123 - sysfs_deprecated_check
124 - else
125 - ewarn "Was unable to determine your kernel .config"
126 - ewarn "Please note that if CONFIG_SYSFS_DEPRECATED_V2 is set in your kernel .config, NetworkManager will not work correctly."
127 - ewarn "See https://bugs.gentoo.org/333639 for more info."
128 - fi
129 -
130 - fi
131 -}
132 -
133 -pkg_setup() {
134 - enewgroup plugdev
135 -}
136 -
137 -src_prepare() {
138 - DOC_CONTENTS="To modify system network connections without needing to enter the
139 - root password, add your user account to the 'plugdev' group."
140 -
141 - # Force use of /run, avoid eautoreconf, upstream bug #737139, fixed in 'master'
142 - sed -e 's:$localstatedir/run/:/run/:' -i configure || die
143 -
144 - # Don't build examples, they are not needed and can cause build failure
145 - sed -e '/^\s*examples\s*\\/d' -i Makefile.{am,in} || die
146 -
147 - use vala && vala_src_prepare
148 -
149 - epatch_user # don't remove, users often want custom patches for NM
150 -
151 - eautoreconf
152 -
153 - gnome2_src_prepare
154 -}
155 -
156 -multilib_src_configure() {
157 - local myconf=()
158 -
159 - # Same hack as net-dialup/pptpd to get proper plugin dir for ppp, bug #519986
160 - if use ppp; then
161 - local PPPD_VER=`best_version net-dialup/ppp`
162 - PPPD_VER=${PPPD_VER#*/*-} #reduce it to ${PV}-${PR}
163 - PPPD_VER=${PPPD_VER%%[_-]*} # main version without beta/pre/patch/revision
164 - myconf+=( --with-pppd-plugin-dir=/usr/$(get_libdir)/pppd/${PPPD_VER} )
165 - fi
166 -
167 - # unit files directory needs to be passed only when systemd is enabled,
168 - # otherwise systemd support is not disabled completely, bug #524534
169 - use systemd && myconf+=( "$(systemd_with_unitdir)" )
170 -
171 - if multilib_is_native_abi; then
172 - # work-around man out-of-source brokenness, must be done before configure
173 - mkdir man || die
174 - find "${S}"/man -name '*.?' -exec ln -s {} man/ ';' || die
175 - else
176 - # libnl, libndp are only used for executables, not libraries
177 - myconf+=( LIB{NL,NDP}_{CFLAGS,LIBS}=' ' )
178 - fi
179 -
180 - # TODO: enable wimax when we have a libnl:3 compatible revision of it
181 - # wimax will be removed, bug #522822
182 - # ifnet plugin always disabled until someone volunteers to actively
183 - # maintain and fix it
184 - ECONF_SOURCE=${S} \
185 - gnome2_src_configure \
186 - --disable-more-warnings \
187 - --disable-static \
188 - --localstatedir=/var \
189 - --disable-lto \
190 - --disable-config-plugin-ibft \
191 - --disable-ifnet \
192 - --without-netconfig \
193 - --with-dbus-sys-dir=/etc/dbus-1/system.d \
194 - --with-udev-dir="$(get_udevdir)" \
195 - --with-config-plugins-default=keyfile \
196 - --with-iptables=/sbin/iptables \
197 - $(multilib_native_with libsoup) \
198 - $(multilib_native_enable concheck) \
199 - --with-crypto=$(usex nss nss gnutls) \
200 - --with-session-tracking=$(multilib_native_usex systemd systemd $(multilib_native_usex consolekit consolekit no)) \
201 - --with-suspend-resume=$(multilib_native_usex systemd systemd upower) \
202 - $(multilib_native_use_enable bluetooth bluez5-dun) \
203 - $(multilib_native_use_enable introspection) \
204 - $(multilib_native_use_enable ppp) \
205 - --disable-wimax \
206 - $(use_with dhclient) \
207 - $(use_with dhcpcd) \
208 - $(multilib_native_use_with modemmanager modem-manager-1) \
209 - $(multilib_native_use_with ncurses nmtui) \
210 - $(multilib_native_use_with resolvconf) \
211 - $(multilib_native_use_with selinux) \
212 - $(multilib_native_use_enable teamd teamdctl) \
213 - $(multilib_native_use_enable test tests) \
214 - $(multilib_native_use_enable vala) \
215 - --without-valgrind \
216 - $(multilib_native_use_with wext) \
217 - $(multilib_native_use_enable wifi) \
218 - "${myconf[@]}"
219 -
220 - # work-around gtk-doc out-of-source brokedness
221 - if multilib_is_native_abi; then
222 - local d
223 - for d in api libnm libnm-util libnm-glib; do
224 - ln -s "${S}"/docs/${d}/html docs/${d}/html || die
225 - done
226 - fi
227 -}
228 -
229 -multilib_src_compile() {
230 - if multilib_is_native_abi; then
231 - emake
232 - else
233 - emake all-am
234 - emake -C include
235 - emake -C introspection # generated headers, needed for libnm
236 - emake -C libnm-core
237 - emake -C libnm
238 - emake -C libnm-util
239 - emake -C libnm-glib
240 - fi
241 -}
242 -
243 -multilib_src_test() {
244 - if multilib_is_native_abi; then
245 - python_setup
246 - Xemake check
247 - fi
248 -}
249 -
250 -multilib_src_install() {
251 - if multilib_is_native_abi; then
252 - # Install completions at proper place, bug #465100
253 - gnome2_src_install completiondir="$(get_bashcompdir)"
254 - else
255 - emake DESTDIR="${D}" install-am
256 - emake DESTDIR="${D}" install -C include
257 - emake DESTDIR="${D}" install -C introspection
258 - emake DESTDIR="${D}" install -C libnm-core
259 - emake DESTDIR="${D}" install -C libnm
260 - emake DESTDIR="${D}" install -C libnm-util
261 - emake DESTDIR="${D}" install -C libnm-glib
262 - fi
263 -}
264 -
265 -multilib_src_install_all() {
266 - ! use systemd && readme.gentoo_create_doc
267 -
268 - newinitd "${FILESDIR}/init.d.NetworkManager" NetworkManager
269 - newconfd "${FILESDIR}/conf.d.NetworkManager" NetworkManager
270 -
271 - # /var/run/NetworkManager is used by some distros, but not by Gentoo
272 - rmdir -v "${ED}/var/run/NetworkManager" || die "rmdir failed"
273 - rmdir -v "${ED}/var/run" || die "rmdir failed"
274 -
275 - # Need to keep the /etc/NetworkManager/dispatched.d for dispatcher scripts
276 - keepdir /etc/NetworkManager/dispatcher.d
277 -
278 - # Provide openrc net dependency only when nm is connected
279 - exeinto /etc/NetworkManager/dispatcher.d
280 - newexe "${FILESDIR}/10-openrc-status-r4" 10-openrc-status
281 - sed -e "s:@EPREFIX@:${EPREFIX}:g" \
282 - -i "${ED}/etc/NetworkManager/dispatcher.d/10-openrc-status" || die
283 -
284 - keepdir /etc/NetworkManager/system-connections
285 - chmod 0600 "${ED}"/etc/NetworkManager/system-connections/.keep* # bug #383765, upstream bug #754594
286 -
287 - # Allow users in plugdev group to modify system connections
288 - insinto /usr/share/polkit-1/rules.d/
289 - doins "${FILESDIR}/01-org.freedesktop.NetworkManager.settings.modify.system.rules"
290 -}
291 -
292 -pkg_postinst() {
293 - gnome2_pkg_postinst
294 - ! use systemd && readme.gentoo_print_elog
295 -
296 - if [[ -e "${EROOT}etc/NetworkManager/nm-system-settings.conf" ]]; then
297 - ewarn "The ${PN} system configuration file has moved to a new location."
298 - ewarn "You must migrate your settings from ${EROOT}/etc/NetworkManager/nm-system-settings.conf"
299 - ewarn "to ${EROOT}etc/NetworkManager/NetworkManager.conf"
300 - ewarn
301 - ewarn "After doing so, you can remove ${EROOT}etc/NetworkManager/nm-system-settings.conf"
302 - fi
303 -
304 - # The polkit rules file moved to /usr/share
305 - old_rules="${EROOT}etc/polkit-1/rules.d/01-org.freedesktop.NetworkManager.settings.modify.system.rules"
306 - if [[ -f "${old_rules}" ]]; then
307 - case "$(md5sum ${old_rules})" in
308 - 574d0cfa7e911b1f7792077003060240* )
309 - # Automatically delete the old rules.d file if the user did not change it
310 - elog
311 - elog "Removing old ${old_rules} ..."
312 - rm -f "${old_rules}" || eerror "Failed, please remove ${old_rules} manually"
313 - ;;
314 - * )
315 - elog "The ${old_rules}"
316 - elog "file moved to /usr/share/polkit-1/rules.d/ in >=networkmanager-0.9.4.0-r4"
317 - elog "If you edited ${old_rules}"
318 - elog "without changing its behavior, you may want to remove it."
319 - ;;
320 - esac
321 - fi
322 -
323 - # ifnet plugin was disabled for systemd users with 0.9.8.6 version
324 - # and for all people with 0.9.10.0-r1 (see ChangeLog for full explanations)
325 - if use systemd; then
326 - if ! version_is_at_least 0.9.8.6 ${REPLACING_VERSIONS}; then
327 - ewarn "Ifnet plugin won't be used with systemd support enabled"
328 - ewarn "as it is meant to be used with openRC and can cause collisions"
329 - ewarn "(like bug #485658)."
330 - ewarn "Because of this, you will likely need to reconfigure some of"
331 - ewarn "your networks. To do this you can rely on Gnome control center,"
332 - ewarn "nm-connection-editor or nmtui tools for example once updated"
333 - ewarn "NetworkManager version is installed."
334 - fi
335 - else
336 - if ! version_is_at_least 0.9.10.0-r1 ${REPLACING_VERSIONS}; then
337 - ewarn "Ifnet plugin is now disabled because of it being unattended"
338 - ewarn "and unmaintained for a long time, leading to some unfixed bugs"
339 - ewarn "and new problems appearing. We will now use upstream 'keyfile'"
340 - ewarn "plugin."
341 - ewarn "Because of this, you will likely need to reconfigure some of"
342 - ewarn "your networks. To do this you can rely on Gnome control center,"
343 - ewarn "nm-connection-editor or nmtui tools for example once updated"
344 - ewarn "NetworkManager version is installed."
345 - fi
346 - fi
347 -
348 - # NM fallbacks to plugin specified at compile time (upstream bug #738611)
349 - # but still show a warning to remember people to have cleaner config file
350 - if [[ -e "${EROOT}etc/NetworkManager/NetworkManager.conf" ]]; then
351 - if grep plugins "${EROOT}etc/NetworkManager/NetworkManager.conf" | grep -q ifnet; then
352 - ewarn
353 - ewarn "You seem to use 'ifnet' plugin in ${EROOT}etc/NetworkManager/NetworkManager.conf"
354 - ewarn "Since it won't be used, you will need to stop setting ifnet plugin there."
355 - ewarn
356 - fi
357 - fi
358 -
359 - # NM shows lots of errors making nmcli neither unusable, bug #528748 upstream bug #690457
360 - if grep -r "psk-flags=1" "${EROOT}"/etc/NetworkManager/; then
361 - ewarn "You have psk-flags=1 setting in above files, you will need to"
362 - ewarn "either reconfigure affected networks or, at least, set the flag"
363 - ewarn "value to '0'."
364 - fi
365 -}